import type { PipelineTaskCommandParser } from '../_common/types/CommandParser';
import type { SectionCommand } from './SectionCommand';
/**
 * Parses the section command
 *
 * @see `documentationUrl` for more details
 * @private within the commands folder
 */
export declare const sectionCommandParser: PipelineTaskCommandParser<SectionCommand>;
/**
 * Note: [⛱] There are two types of KNOWLEDGE, ACTION and INSTRUMENT commands:
 * 1) There are commands `KNOWLEDGE`, `ACTION` and `INSTRUMENT` used in the pipeline head, they just define the knowledge, action or instrument as single line after the command
 *    - KNOWLEDGE Look at https://en.wikipedia.org/wiki/Artificial_intelligence
 * 2) `KNOWLEDGE SECTION` which has short form `KNOWLEDGE` is used in the sectiom, does not refer the line itself, but the content of the section block
 *   - KNOWLEDGE SECTION
 *
 *   ```
 *   Look at https://en.wikipedia.org/wiki/Artificial_intelligence
 *   ```
 */
