import { CsvFormatError } from '../formats/csv/CsvFormatError';
import { AbstractFormatError } from './AbstractFormatError';
import { CollectionError } from './CollectionError';
import { EnvironmentMismatchError } from './EnvironmentMismatchError';
import { ExpectError } from './ExpectError';
import { KnowledgeScrapeError } from './KnowledgeScrapeError';
import { LimitReachedError } from './LimitReachedError';
import { MissingToolsError } from './MissingToolsError';
import { NotFoundError } from './NotFoundError';
import { NotYetImplementedError } from './NotYetImplementedError';
import { ParseError } from './ParseError';
import { PipelineExecutionError } from './PipelineExecutionError';
import { PipelineLogicError } from './PipelineLogicError';
import { PipelineUrlError } from './PipelineUrlError';
import { UnexpectedError } from './UnexpectedError';
/**
 * Index of all custom errors
 *
 * @public exported from `@promptbook/core`
 */
export declare const ERRORS: {
    readonly AbstractFormatError: typeof AbstractFormatError;
    readonly CsvFormatError: typeof CsvFormatError;
    readonly CollectionError: typeof CollectionError;
    readonly EnvironmentMismatchError: typeof EnvironmentMismatchError;
    readonly ExpectError: typeof ExpectError;
    readonly KnowledgeScrapeError: typeof KnowledgeScrapeError;
    readonly LimitReachedError: typeof LimitReachedError;
    readonly MissingToolsError: typeof MissingToolsError;
    readonly NotFoundError: typeof NotFoundError;
    readonly NotYetImplementedError: typeof NotYetImplementedError;
    readonly ParseError: typeof ParseError;
    readonly PipelineExecutionError: typeof PipelineExecutionError;
    readonly PipelineLogicError: typeof PipelineLogicError;
    readonly PipelineUrlError: typeof PipelineUrlError;
    readonly UnexpectedError: typeof UnexpectedError;
};
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
