import type { AvailableModel } from '../../execution/AvailableModel';
import type { CommonToolsOptions } from '../../execution/CommonToolsOptions';
import type { VercelProvider } from './VercelProvider';
/**
 * Options for `createExecutionToolsFromVercelProvider`
 *
 * @public exported from `@promptbook/google`
 */
export type VercelExecutionToolsOptions = CommonToolsOptions & {
    /**
     * Vercel provider for the execution tools
     */
    readonly vercelProvider: VercelProvider;
    /**
     * List of available models for given Vercel provider
     */
    readonly availableModels: ReadonlyArray<AvailableModel>;
    /**
     * Additional settings for chat models when calling `vercelProvider.chat('model-name', settings)`
     */
    readonly additionalChatSettings?: Partial<Parameters<VercelProvider['chat']>[1]>;
};
