/**
 * Run multiple commands in a shell in sequence
 *
 * Note: There are 2 similar functions in the codebase:
 * - `$execCommand` which runs a single command
 * - `$execCommands` which runs multiple commands
 * Note: `$` is used to indicate that this function is not a pure function - it runs a commands in a shell
 *
 * @public exported from `@promptbook/node`
 */
export declare function $execCommands({ commands, cwd, crashOnError, }: {
    readonly commands: string[];
    readonly cwd: string;
    readonly crashOnError?: boolean;
}): Promise<void>;
/**
 * Note: [🟢] Code in this file should never be never released in packages that could be imported into browser environment
 */
